> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Subject



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/subjects/{subject_id}
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/subjects/{subject_id}:
    get:
      tags:
        - v1 control plane
      summary: Subject
      operationId: >-
        subject_v1_organizations__organization_id__apps__app_id__environments__environment_id__subjects__subject_id__get
      parameters:
        - in: path
          name: subject_id
          required: true
          schema:
            title: Subject Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubjectSummary'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    SubjectSummary:
      properties:
        app_id:
          title: App Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        environment_id:
          title: Environment Id
          type: string
        id:
          title: Id
          type: string
        identity_mode:
          enum:
            - enterprise_managed
            - reusable
            - legacy_anonymous
          title: Identity Mode
          type: string
        organization_id:
          title: Organization Id
          type: string
        status:
          enum:
            - active
            - deleted
          title: Status
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - organization_id
        - app_id
        - environment_id
        - identity_mode
        - status
        - created_at
        - updated_at
      title: SubjectSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````